Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.oxm.mime
Interface MimeUnmarshaller

All Superinterfaces:
  Unmarshaller

All Known Implementing Classes:
  Jaxb2Marshaller

    public interface MimeUnmarshaller

extends Unmarshaller

Subinterface of `Unmarshaller` that can use MIME attachments to optimize storage of binary data. Attachments can be added as MTOM, XOP, or SwA.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  SOAP Message Transmission Optimization Mechanism, XML-binary Optimized Packaging

Method Summary
`Object` | `unmarshal(Source source, MimeContainer mimeContainer)` Unmarshals the given provided `Source` into an object graph, reading binary attachments from a `MimeContainer`.

Methods inherited from interface org.springframework.oxm.Unmarshaller
`supports, unmarshal`

Method Detail

### unmarshal

    Object unmarshal(Source source,
                     MimeContainer mimeContainer)
                     throws XmlMappingException,
                            IOException

  Unmarshals the given provided `Source` into an object graph, reading binary attachments from a `MimeContainer`.

  Parameters:
    `source` - the source to marshal from
    `mimeContainer` - the MIME container to read extracted binary content from
  Returns:
    the object graph
  Throws:
    `XmlMappingException` - if the given source cannot be mapped to an object
    `IOException` - if an I/O Exception occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD